
C_WowTokenPublic.UpdateMarketPrice()


local function OnTooltipSetItem(self)
   local name, link = self:GetItem()
    
    if not link then
        return
    end

   local itemName, itemLink, itemRarity, itemLevel, itemMinLevel, itemType, itemSubType, itemStackCount, itemEquipLoc, itemTexture, itemSellPrice = GetItemInfo(link)

   local leftString = "Real Price"

   -- Auctioneer support
   if IsAddOnLoaded(string.lower("Auc-Advanced")) then
      auctioneerSellPrice, _ = AucAdvanced.API.GetMarketValue(itemLink, AucAdvanced.GetFaction());
      if auctioneerSellPrice then
          itemSellPrice = auctioneerSellPrice
          leftString = "Real Price (market)"
      end
   end

    if itemSellPrice and itemSellPrice > 0 then
        -- Item has a sell price
        exchangeRate =  C_WowTokenPublic.GetCurrentMarketPrice() / 2000 
        realPrice = itemSellPrice / exchangeRate
        realPrice = math.floor(realPrice + 0.5) / 100 
        if realPrice < 0.01 then
            GameTooltip:AddDoubleLine(leftString, "<$0.01", 1, 1, 0, 0.5, 0.5, 0.5)
        else
            GameTooltip:AddDoubleLine(leftString, "$" .. string.format("%.2f", realPrice), 1, 1, 0, 1, 1, 0)
        end
        cleared = true
    end
end
GameTooltip:HookScript("OnTooltipSetItem", OnTooltipSetItem)
C_Timer.NewTicker(301, C_WowTokenPublic.UpdateMarketPrice)
